cgGetIntAnnotationValues(3)

NAME
cgGetIntAnnotationValues - get an integer-valued annotation's values

SYNOPSIS
  #include <Cg/cg.h>
  const int * cgGetIntAnnotationValues( CGannotation ann,
                                        int * nvalues );

PARAMETERS

ann The annotation from which the values will be retrieved.

nvalues
    Pointer to integer where the number of returned values will be stored.

RETURN VALUES
Returns a pointer to an array of int values. The number of values in the array is returned via the nvalues parameter.

Returns NULL if no values are available. nvalues will be 0.

DESCRIPTION
cgIntAnnotationValues allows the application to retrieve the value(s) of an int typed annotation.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

HISTORY
cgGetIntAnnotationValues was introduced in Cg 1.4.

SEE ALSO
the cgGetAnnotationType manpage, the cgGetFloatAnnotationValues manpage, the cgGetStringAnnotationValues manpage, the cgGetBooleanAnnotationValues manpage